#include "DSC-100.h"
#include "SDL.h"
 
int *stuck;
SDL_Surface *screen;

int main(int argc,char *argv[])
{
	struct REGS regs;
	unsigned char *mem;
	SDL_Event ev;

	if(SDL_Init(SDL_INIT_VIDEO))  /*@SDL̏ */ 
        exit(1); 
    atexit(SDL_Quit);                /* SDL̏  ܂ */ 

	 screen=SDL_SetVideoMode(640,480,32,SDL_SWSURFACE); 
    if(!screen) 
        exit(1); 

	SDL_WM_SetCaption("DSC-100 Emu 0.0.01", NULL);

	mem = (unsigned char *) malloc(512 * 1024 * 1024);
	stuck = (int *) malloc(512 * 1024);
	init_disk(mem, "boot.img");
	init_regs(&regs);
	init_vram(mem);

	regs.ip = (unsigned int) DISKBUF;

	while(1) {
		reflesh_vram(mem);
		run_bin(&regs, mem);
		SDL_UpdateRect(screen,0,0,0,0); 

		SDL_PollEvent(&ev);

	}

	 SDL_Quit();

    return 0;        // \tg̏I
}